library hello;

import 'package:flutter/material.dart';

class TDElevatedButton extends StatelessWidget {
  // Fields in a Widget subclass are always marked "final".
  final bool autofocus;
  Widget? child;
  final Clip clipBehavior;
  final Key? key;
  final FocusNode? focusNode;
  final VoidCallback? onPressed;
  final VoidCallback? onLongPress;
  ButtonStyle? style;
  String? text;
  Color? color;
  Color? shadowColor;
  EdgeInsetsGeometry? padding;
  OutlinedBorder? shape;
  /**
   * 注意事项
   * 1.原enabled:false功能可以通过onPressed:null实现
   */

  TDElevatedButton(
      {this.text,
      this.child,
      this.key,
      this.padding,
      this.shape,
      this.color,
      this.shadowColor,
      this.focusNode,
      this.onLongPress,
      this.style,
      required this.onPressed,
      this.autofocus = false,
      this.clipBehavior = Clip.none});

  @override
  Widget build(BuildContext context) {
    // TODO: implement build

    if (text != null && child == null) {
      child = Text(
        text!,
        style: const TextStyle(fontSize: 16, color: Colors.white),
      );
    }

    style ??= ElevatedButton.styleFrom(
        padding: padding ?? EdgeInsets.symmetric(vertical: 10, horizontal: 40),
        primary: color ?? Color(0xFF3574FF),
        shadowColor: shadowColor ?? Color.fromRGBO(255, 255, 255, 0),
        splashFactory: NoSplash.splashFactory,
        shape: shape ??
            RoundedRectangleBorder(
              borderRadius: new BorderRadius.circular(30.0),
            ));

    return ElevatedButton(
      key: key,
      child: child,
      focusNode: focusNode,
      onPressed: onPressed,
      clipBehavior: clipBehavior,
      autofocus: autofocus,
      onLongPress: onLongPress,
      style: style,
    );
  }
}
